DoloresDocs
API referenceWebhook endpoints

List webhook endpoints

GET
/webhook_endpoints

Authorization

AuthorizationRequiredBearer <token>

Send your API key in the Authorization header on every request: Authorization: Bearer sk_live_.... Keys are created in the admin UI under Settings → API Keys and are project-scoped.

In: header

Response Body

All endpoints in this project.

TypeScript Definitions

Use the response body type in TypeScript.

objectRequiredstring
Value in: "list"
dataRequiredarray<object>
has_moreRequiredboolean
next_cursorstring | null | null
curl -X GET "https://app.meetdolores.ai/v1/webhook_endpoints" \
  -H "Authorization: Bearer <token>"
fetch("https://app.meetdolores.ai/v1/webhook_endpoints", {
  headers: {
    "Authorization": "Bearer <token>"
  }
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://app.meetdolores.ai/v1/webhook_endpoints"

  req, _ := http.NewRequest("GET", url, nil)
  req.Header.Add("Authorization", "Bearer <token>")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://app.meetdolores.ai/v1/webhook_endpoints"

response = requests.request("GET", url, headers = {
  "Authorization": "Bearer <token>"
})

print(response.text)
require 'net/http'
require 'json'
require 'uri'

uri = URI('https://app.meetdolores.ai/v1/webhook_endpoints')
req = Net::HTTP::Get.new(uri, {
  'Authorization' => "Bearer #{ENV['DOLORES_API_KEY']}",
})
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body
<?php
$ch = curl_init('https://app.meetdolores.ai/v1/webhook_endpoints');
curl_setopt_array($ch, [
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => [
    'Authorization: Bearer ' . getenv('DOLORES_API_KEY'),
  ],
]);
echo curl_exec($ch);
{
  "object": "list",
  "data": [
    {
      "id": "whk_01HXY7P3K9ABCDEFGHJKMNPQRS",
      "object": "webhook_endpoint",
      "url": "http://example.com",
      "enabled": true,
      "event_filters": [
        "appointment.*"
      ],
      "livemode": true,
      "label": "string",
      "description": "string",
      "secret_prefix": "string",
      "secret": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}